[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'CustomDrawnDrawers' (#lcl)

# TCDControlStateFlag

## Declaration

Source position: customdrawndrawers.pas line 95

`type TCDControlStateFlag = (`
`csfEnabled,` |  |
`csfRaised,` |  |
`csfSunken,` |  |
`csfHasFocus,` |  |
`csfReadOnly,` |  |
`csfMouseOver,` |  |
`csfOn,` |  |
`csfOff,` |  |
`csfPartiallyOn,` |  |
`csfHorizontal,` |  |
`csfVertical,` |  |
`csfRightToLeft,` |  |
`csfTopDown,` |  |
`csfLeftArrow,` |  |
`csfRightArrow,` |  |
`csfDownArrow,` |  |
`csfUpArrow` |  |
`);`